Announcement Announcement Module
Collapse
No announcement yet.
Error with SpringSecurity global-method-security Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error with SpringSecurity global-method-security

    Hello,

    The following problem occurs when using both Spring IDE 2.0.6 with Eclipse 3.3.3 and WTP 2.0.2

    When I add the following piece of configuration for SpringSecurity in my XML file:

    Code:
    <sec:global-method-security secured-annotations="enabled" />
    I get the following error in Eclipse, but with no marker in the XML Editor :
    Code:
    org.springframework.beans.factory.BeanDefinitionStoreException: 
    Unexpected exception parsing XML document from file [<path>/META-INF/springAdminManagerContext.xml]; 
    nested exception is java.lang.LinkageError: 
    loader constraints violated when linking org/aopalliance/aop/Advice class
    By the way, the "org.aopalliance.aop.Advice" class is actually available in the project's classpath (from another project's dependency).

    Any idea ?
    Thank you in advance
    Xavier

  • #2
    Sorry, it was my fault : an OSGi extension for Spring IDE 2.0.5 was still active but in an error state, since I'm on spring IDE 2.0.6 now ...
    Disabling this extension solved the problem.

    Regards,
    Xavier

    Comment

    Working...
    X